com.android.agf.fragments

## Class Base_WebViewFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.actionbarsherlock.app.SherlockFragment
    - - com.android.agf.fragments.Base_WebViewFragment

- All Implemented Interfaces:
    ComponentCallbacks, _ActionBarSherlockTrojanHorse.OnCreateOptionsMenuListener, _ActionBarSherlockTrojanHorse.OnOptionsItemSelectedListener, _ActionBarSherlockTrojanHorse.OnPrepareOptionsMenuListener, View.OnCreateContextMenuListener
  Direct Known Subclasses:
    ComponentWebViewFragment, DashboardWebViewFragment

      public abstract class Base_WebViewFragment
      extends com.actionbarsherlock.app.SherlockFragment

  classe base abstracta que implementaran tots els fragment que mostrin components webview
  Author:
    albert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `Base_WebViewFragment.InsideWebChromeClient` classe local amb el webchromeclient amb el control de la cache del webview
    `(package private) class` | `Base_WebViewFragment.InsideWebViewClient` classe local amb el webviewclient modificant la crida base
    `class` | `Base_WebViewFragment.MyJavaScript` classe local que implementa la interficie javascript que utilitzara el servidor BI en cas que sigui un CDF
    `(package private) class` | `Base_WebViewFragment.MyJavaScriptCDA` classe local que afegeix el control de dades en cas de CDA

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `Fragment.InstantiationException, Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Handler` | `mHandler`
    `protected String` | `mId`
    `protected PentahoConnection` | `mPentaho`
    `protected PentahoServerSettings` | `mServer`
    `protected UserSettings` | `mUser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base_WebViewFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `actualitzaLlegenda(List<Legend> e, int i)` funcio per actualitzar el contingut de la llegenda del component
    `abstract void` | `iniciaLoad(int id)` funcio per modificar views al iniciar la carrega de dades
    `abstract void` | `initWebViews()` funcio on es gestiona l'inici de webviews
    `protected abstract int` | `loadingWebview(WebView webview, String url, JavaScriptInterface js)` funcio on es produeix la petició de carrega amb la url
    `abstract void` | `startWebview(int i, DashComponent comp)` funcio on s'estableix tots els parametres del webview en cas que sigui CDF
    `abstract void` | `startWebviewCDA(CDAData cda, int id, DashComponent comp)` funcio on s'estableix tots els parametres del webview en cas que sigui CDA
    `abstract void` | `tancaLoad(int id)` funcio per modificar views al finalitzar la carrega de dades
    `protected abstract WebView` | `webviewSettings(WebView webview, JavaScriptInterface js)` funcio on es configura tots els parametres del Webview de forma estandaritzada

    - ### Methods inherited from class com.actionbarsherlock.app.SherlockFragment

      `getSherlockActivity, onAttach, onCreateOptionsMenu, onCreateOptionsMenu, onDetach, onOptionsItemSelected, onOptionsItemSelected, onPrepareOptionsMenu, onPrepareOptionsMenu`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getArguments, getChildFragmentManager, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getResources, getRetainInstance, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateContextMenu, onCreateView, onDestroy, onDestroyOptionsMenu, onDestroyView, onHiddenChanged, onInflate, onLowMemory, onOptionsMenuClosed, onPause, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setArguments, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setRetainInstance, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mId

          protected String mId

    - #### mHandler

          protected Handler mHandler

    - #### mPentaho

          protected PentahoConnection mPentaho

    - #### mServer

          protected PentahoServerSettings mServer

    - #### mUser

          protected UserSettings mUser

  - ### Constructor Detail

    - #### Base_WebViewFragment

          public Base_WebViewFragment()

  - ### Method Detail

    - #### iniciaLoad

          public abstract void iniciaLoad(int id)

      funcio per modificar views al iniciar la carrega de dades
      Parameters:
        `id` -

    - #### tancaLoad

          public abstract void tancaLoad(int id)

      funcio per modificar views al finalitzar la carrega de dades
      Parameters:
        `id` -

    - #### actualitzaLlegenda

          public abstract void actualitzaLlegenda(List<Legend> e,
                                int i)

      funcio per actualitzar el contingut de la llegenda del component
      Parameters:
        `e` -
        `i` -

    - #### initWebViews

          public abstract void initWebViews()

      funcio on es gestiona l'inici de webviews

    - #### startWebview

          public abstract void startWebview(int i,
                          DashComponent comp)

      funcio on s'estableix tots els parametres del webview en cas que sigui CDF
      Parameters:
        `i` -
        `comp` -

    - #### startWebviewCDA

          public abstract void startWebviewCDA(CDAData cda,
                             int id,
                             DashComponent comp)

      funcio on s'estableix tots els parametres del webview en cas que sigui CDA
      Parameters:
        `cda` -
        `id` -
        `comp` -

    - #### loadingWebview

          protected abstract int loadingWebview(WebView webview,
                           String url,
                           JavaScriptInterface js)

      funcio on es produeix la petició de carrega amb la url
      Parameters:
        `webview` -
        `url` -
        `js` -
      Returns:

    - #### webviewSettings

          protected abstract WebView webviewSettings(WebView webview,
                                JavaScriptInterface js)

      funcio on es configura tots els parametres del Webview de forma estandaritzada
      Parameters:
        `webview` -
        `js` -
      Returns: